package com.steering.pss.plnsaleord.stove.entity;

/**
 * 数据库表QCM_GP_JUDGE_APPLY所对应的实体类（生成工具：代码生成器3.0）
 * 
 * @author PC-20160925CXYF date 2017-12-14
 */
@SuppressWarnings("serial")
public class QcmGpJudgeApplyEntity implements java.io.Serializable {
	/**
	 * 申请判定单号
	 */
	private String jugdeApplyCode = "";
	/**
	 * 申请判定序号
	 */
	private String jugdeApplySqe = "";
	/**
	 * 电炉炉号
	 */
	private String stoveNo = "";
	/**
	 * 浇次号
	 */
	private String castNo = "";
	/**
	 * 连铸机号
	 */
	private String ccmid = "";
	/**
	 * 判定炉号
	 */
	private String judgeStoveNo = "";
	/**
	 * 组号
	 */
	private String batchGroudNo = "";
	/**
	 * 工序代码(A\B\C\D.....)
	 */
	private String processCode = "";
	/**
	 * 生产产线代码
	 */
	private String plineCode = "";
	/**
	 * 单倍坯长
	 */
	private String lenGpSingle = "";
	/**
	 * 倍尺数
	 */
	private String multipleNum = "";
	/**
	 * 支数
	 */
	private String actCount = "";
	/**
	 * 外径(实际)
	 */
	private String actDimater = "";
	/**
	 * 坯长度(实际)
	 */
	private String actLen = "";
	/**
	 * 实重
	 */
	private String actWeight = "";
	/**
	 * 理论重量
	 */
	private String actTheoryWeight = "";
	/**
	 * 表面结果代码
	 */
	private String faceResultCode = "";
	/**
	 * 公差结果代码
	 */
	private String specResultCode = "";
	/**
	 * 成分结果代码
	 */
	private String chemResultCode = "";
	/**
	 * 理化结果代码
	 */
	private String phyResultCode = "";
	/**
	 * 探伤结果代码
	 */
	private String detectResultCode = "";
	/**
	 * 表面检验报告目录
	 */
	private String faceResultPath = "";
	/**
	 * 公差检验报告目录
	 */
	private String specResultPath = "";
	/**
	 * 成分检验报告目录
	 */
	private String chemResultPath = "";
	/**
	 * 理化检验报告目录
	 */
	private String phyResultPath = "";
	/**
	 * 探伤检验报告目录
	 */
	private String detectResultPath = "";
	/**
	 * 物料码
	 */
	private String materialNo = "";
	/**
	 * 物料描叙
	 */
	private String materialName = "";
	/**
	 * 钢种代码
	 */
	private String gradecode = "";
	/**
	 * 钢种名称
	 */
	private String gradename = "";
	/**
	 * 标准代码
	 */
	private String stdCode = "";
	/**
	 * 标准名称
	 */
	private String stdName = "";
	/**
	 * 生产产线名称
	 */
	private String plineName = "";
	/**
	 * 生产合同号（合同号）
	 */
	private String proOrderNo = "";
	/**
	 * 材料去向代码
	 */
	private String matGowhereCode = "";
	/**
	 * 材料去向
	 */
	private String matGowhereName = "";
	/**
	 * 综合判定结果代码
	 */
	private String judgeResultCode = "";
	/**
	 * 综合判定结果
	 */
	private String judgeResult = "";
	/**
	 * 综合判定时间
	 */
	private String judgeResultTime = "";
	/**
	 * 综合判定人
	 */
	private String judgeMaker = "";
	/**
	 * 是否已处理后工序炉计划
	 */
	private String ifSetZyPlan = "";
	/**
	 * 交货行主键
	 */
	private String ordLnDlyPk = "";
	/**
	 * 送判状态 (0 正常送判，1退判)
	 */
	private String applyFlag = "";
	/**
	 * 退判原因
	 */
	private String backJugdeMemo = "";
	/**
	 * 状态（00：初使状态；10：正在处理；20：已判定）
	 */
	private String validflag = "";
	/**
	 * 申判人
	 */
	private String applyName = "";
	/**
	 * 申判时间
	 */
	private String applyTime = "";
	/**
	 * 申请判定备注
	 */
	private String memo = "";
	/**
	 * 结转年月
	 */
	private String balYearMonth = "";
	/**
	 * 是否有效(0 有效 1 无效)
	 */
	private String isFlag = "";
	/**
	 * 是否整炉废(0,正常 1整炉废 2白条)
	 */
	private String isAllScrap = "";
	/**
	 * 铸造订单编号
	 */
	private String proPlanId = "";
	/**
	 * 工序排产序号
	 */
	private String gxPlanNo = "";
	/**
	 * 管坯需求编号
	 */
	private String gpreqId = "";
	/**
	 * 所属权单位代码(判定后)
	 */
	private String belongCodeJugde = "";
	/**
	 * 所属权单位(判定后)
	 */
	private String belongNameJugde = "";
	/**
	 * 虚拟炉号
	 */
	private String furnaceno = "";
	/**
	 * 顺序号(虚拟炉号)
	 */
	private String sequenceno = "";
	/**
	 * 工艺文件号
	 */
	private String craftNo = "";
	/**
	 * 是否末工序（末工序时合同成品属性有效）
	 */
	private String isendgx = "";
	/**
	 * 管坯类型（1铸坯2锻坯）
	 */
	private String gptype = "";
	/**
	 * 订单编号(下一工序订单)
	 */
	private String proPlanIdNext = "";
	/**
	 * 工序排产序号
	 */
	private String gxPlanNoNext = "";
	/**
	 * 申请判定顺序号
	 */
	private String jugdeApplySequeno = "";

	/**
	 * 申请判定单号
	 * 
	 * @return value
	 */
	public String getJugdeApplyCode() {
		return jugdeApplyCode;
	}

	/**
	 * 申请判定单号
	 * 
	 * @param jugdeApplyCode
	 *            value
	 */
	public void setJugdeApplyCode(String jugdeApplyCode) {
		this.jugdeApplyCode = jugdeApplyCode;
	}

	/**
	 * 申请判定序号
	 * 
	 * @return value
	 */
	public String getJugdeApplySqe() {
		return jugdeApplySqe;
	}

	/**
	 * 申请判定序号
	 * 
	 * @param jugdeApplySqe
	 *            value
	 */
	public void setJugdeApplySqe(String jugdeApplySqe) {
		this.jugdeApplySqe = jugdeApplySqe;
	}

	/**
	 * 电炉炉号
	 * 
	 * @return value
	 */
	public String getStoveNo() {
		return stoveNo;
	}

	/**
	 * 电炉炉号
	 * 
	 * @param stoveNo
	 *            value
	 */
	public void setStoveNo(String stoveNo) {
		this.stoveNo = stoveNo;
	}

	/**
	 * 浇次号
	 * 
	 * @return value
	 */
	public String getCastNo() {
		return castNo;
	}

	/**
	 * 浇次号
	 * 
	 * @param castNo
	 *            value
	 */
	public void setCastNo(String castNo) {
		this.castNo = castNo;
	}

	/**
	 * 连铸机号
	 * 
	 * @return value
	 */
	public String getCcmid() {
		return ccmid;
	}

	/**
	 * 连铸机号
	 * 
	 * @param ccmid
	 *            value
	 */
	public void setCcmid(String ccmid) {
		this.ccmid = ccmid;
	}

	/**
	 * 判定炉号
	 * 
	 * @return value
	 */
	public String getJudgeStoveNo() {
		return judgeStoveNo;
	}

	/**
	 * 判定炉号
	 * 
	 * @param judgeStoveNo
	 *            value
	 */
	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}

	/**
	 * 组号
	 * 
	 * @return value
	 */
	public String getBatchGroudNo() {
		return batchGroudNo;
	}

	/**
	 * 组号
	 * 
	 * @param batchGroudNo
	 *            value
	 */
	public void setBatchGroudNo(String batchGroudNo) {
		this.batchGroudNo = batchGroudNo;
	}

	/**
	 * 工序代码(A\B\C\D.....)
	 * 
	 * @return value
	 */
	public String getProcessCode() {
		return processCode;
	}

	/**
	 * 工序代码(A\B\C\D.....)
	 * 
	 * @param processCode
	 *            value
	 */
	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	/**
	 * 生产产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 生产产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 单倍坯长
	 * 
	 * @return value
	 */
	public String getLenGpSingle() {
		return lenGpSingle;
	}

	/**
	 * 单倍坯长
	 * 
	 * @param lenGpSingle
	 *            value
	 */
	public void setLenGpSingle(String lenGpSingle) {
		this.lenGpSingle = lenGpSingle;
	}

	/**
	 * 倍尺数
	 * 
	 * @return value
	 */
	public String getMultipleNum() {
		return multipleNum;
	}

	/**
	 * 倍尺数
	 * 
	 * @param multipleNum
	 *            value
	 */
	public void setMultipleNum(String multipleNum) {
		this.multipleNum = multipleNum;
	}

	/**
	 * 支数
	 * 
	 * @return value
	 */
	public String getActCount() {
		return actCount;
	}

	/**
	 * 支数
	 * 
	 * @param actCount
	 *            value
	 */
	public void setActCount(String actCount) {
		this.actCount = actCount;
	}

	/**
	 * 外径(实际)
	 * 
	 * @return value
	 */
	public String getActDimater() {
		return actDimater;
	}

	/**
	 * 外径(实际)
	 * 
	 * @param actDimater
	 *            value
	 */
	public void setActDimater(String actDimater) {
		this.actDimater = actDimater;
	}

	/**
	 * 坯长度(实际)
	 * 
	 * @return value
	 */
	public String getActLen() {
		return actLen;
	}

	/**
	 * 坯长度(实际)
	 * 
	 * @param actLen
	 *            value
	 */
	public void setActLen(String actLen) {
		this.actLen = actLen;
	}

	/**
	 * 实重
	 * 
	 * @return value
	 */
	public String getActWeight() {
		return actWeight;
	}

	/**
	 * 实重
	 * 
	 * @param actWeight
	 *            value
	 */
	public void setActWeight(String actWeight) {
		this.actWeight = actWeight;
	}

	/**
	 * 理论重量
	 * 
	 * @return value
	 */
	public String getActTheoryWeight() {
		return actTheoryWeight;
	}

	/**
	 * 理论重量
	 * 
	 * @param actTheoryWeight
	 *            value
	 */
	public void setActTheoryWeight(String actTheoryWeight) {
		this.actTheoryWeight = actTheoryWeight;
	}

	/**
	 * 表面结果代码
	 * 
	 * @return value
	 */
	public String getFaceResultCode() {
		return faceResultCode;
	}

	/**
	 * 表面结果代码
	 * 
	 * @param faceResultCode
	 *            value
	 */
	public void setFaceResultCode(String faceResultCode) {
		this.faceResultCode = faceResultCode;
	}

	/**
	 * 公差结果代码
	 * 
	 * @return value
	 */
	public String getSpecResultCode() {
		return specResultCode;
	}

	/**
	 * 公差结果代码
	 * 
	 * @param specResultCode
	 *            value
	 */
	public void setSpecResultCode(String specResultCode) {
		this.specResultCode = specResultCode;
	}

	/**
	 * 成分结果代码
	 * 
	 * @return value
	 */
	public String getChemResultCode() {
		return chemResultCode;
	}

	/**
	 * 成分结果代码
	 * 
	 * @param chemResultCode
	 *            value
	 */
	public void setChemResultCode(String chemResultCode) {
		this.chemResultCode = chemResultCode;
	}

	/**
	 * 理化结果代码
	 * 
	 * @return value
	 */
	public String getPhyResultCode() {
		return phyResultCode;
	}

	/**
	 * 理化结果代码
	 * 
	 * @param phyResultCode
	 *            value
	 */
	public void setPhyResultCode(String phyResultCode) {
		this.phyResultCode = phyResultCode;
	}

	/**
	 * 探伤结果代码
	 * 
	 * @return value
	 */
	public String getDetectResultCode() {
		return detectResultCode;
	}

	/**
	 * 探伤结果代码
	 * 
	 * @param detectResultCode
	 *            value
	 */
	public void setDetectResultCode(String detectResultCode) {
		this.detectResultCode = detectResultCode;
	}

	/**
	 * 表面检验报告目录
	 * 
	 * @return value
	 */
	public String getFaceResultPath() {
		return faceResultPath;
	}

	/**
	 * 表面检验报告目录
	 * 
	 * @param faceResultPath
	 *            value
	 */
	public void setFaceResultPath(String faceResultPath) {
		this.faceResultPath = faceResultPath;
	}

	/**
	 * 公差检验报告目录
	 * 
	 * @return value
	 */
	public String getSpecResultPath() {
		return specResultPath;
	}

	/**
	 * 公差检验报告目录
	 * 
	 * @param specResultPath
	 *            value
	 */
	public void setSpecResultPath(String specResultPath) {
		this.specResultPath = specResultPath;
	}

	/**
	 * 成分检验报告目录
	 * 
	 * @return value
	 */
	public String getChemResultPath() {
		return chemResultPath;
	}

	/**
	 * 成分检验报告目录
	 * 
	 * @param chemResultPath
	 *            value
	 */
	public void setChemResultPath(String chemResultPath) {
		this.chemResultPath = chemResultPath;
	}

	/**
	 * 理化检验报告目录
	 * 
	 * @return value
	 */
	public String getPhyResultPath() {
		return phyResultPath;
	}

	/**
	 * 理化检验报告目录
	 * 
	 * @param phyResultPath
	 *            value
	 */
	public void setPhyResultPath(String phyResultPath) {
		this.phyResultPath = phyResultPath;
	}

	/**
	 * 探伤检验报告目录
	 * 
	 * @return value
	 */
	public String getDetectResultPath() {
		return detectResultPath;
	}

	/**
	 * 探伤检验报告目录
	 * 
	 * @param detectResultPath
	 *            value
	 */
	public void setDetectResultPath(String detectResultPath) {
		this.detectResultPath = detectResultPath;
	}

	/**
	 * 物料码
	 * 
	 * @return value
	 */
	public String getMaterialNo() {
		return materialNo;
	}

	/**
	 * 物料码
	 * 
	 * @param materialNo
	 *            value
	 */
	public void setMaterialNo(String materialNo) {
		this.materialNo = materialNo;
	}

	/**
	 * 物料描叙
	 * 
	 * @return value
	 */
	public String getMaterialName() {
		return materialName;
	}

	/**
	 * 物料描叙
	 * 
	 * @param materialName
	 *            value
	 */
	public void setMaterialName(String materialName) {
		this.materialName = materialName;
	}

	/**
	 * 钢种代码
	 * 
	 * @return value
	 */
	public String getGradecode() {
		return gradecode;
	}

	/**
	 * 钢种代码
	 * 
	 * @param gradecode
	 *            value
	 */
	public void setGradecode(String gradecode) {
		this.gradecode = gradecode;
	}

	/**
	 * 钢种名称
	 * 
	 * @return value
	 */
	public String getGradename() {
		return gradename;
	}

	/**
	 * 钢种名称
	 * 
	 * @param gradename
	 *            value
	 */
	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	/**
	 * 标准代码
	 * 
	 * @return value
	 */
	public String getStdCode() {
		return stdCode;
	}

	/**
	 * 标准代码
	 * 
	 * @param stdCode
	 *            value
	 */
	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	/**
	 * 标准名称
	 * 
	 * @return value
	 */
	public String getStdName() {
		return stdName;
	}

	/**
	 * 标准名称
	 * 
	 * @param stdName
	 *            value
	 */
	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	/**
	 * 生产产线名称
	 * 
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 生产产线名称
	 * 
	 * @param plineName
	 *            value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 生产合同号（合同号）
	 * 
	 * @return value
	 */
	public String getProOrderNo() {
		return proOrderNo;
	}

	/**
	 * 生产合同号（合同号）
	 * 
	 * @param proOrderNo
	 *            value
	 */
	public void setProOrderNo(String proOrderNo) {
		this.proOrderNo = proOrderNo;
	}

	/**
	 * 材料去向代码
	 * 
	 * @return value
	 */
	public String getMatGowhereCode() {
		return matGowhereCode;
	}

	/**
	 * 材料去向代码
	 * 
	 * @param matGowhereCode
	 *            value
	 */
	public void setMatGowhereCode(String matGowhereCode) {
		this.matGowhereCode = matGowhereCode;
	}

	/**
	 * 材料去向
	 * 
	 * @return value
	 */
	public String getMatGowhereName() {
		return matGowhereName;
	}

	/**
	 * 材料去向
	 * 
	 * @param matGowhereName
	 *            value
	 */
	public void setMatGowhereName(String matGowhereName) {
		this.matGowhereName = matGowhereName;
	}

	/**
	 * 综合判定结果代码
	 * 
	 * @return value
	 */
	public String getJudgeResultCode() {
		return judgeResultCode;
	}

	/**
	 * 综合判定结果代码
	 * 
	 * @param judgeResultCode
	 *            value
	 */
	public void setJudgeResultCode(String judgeResultCode) {
		this.judgeResultCode = judgeResultCode;
	}

	/**
	 * 综合判定结果
	 * 
	 * @return value
	 */
	public String getJudgeResult() {
		return judgeResult;
	}

	/**
	 * 综合判定结果
	 * 
	 * @param judgeResult
	 *            value
	 */
	public void setJudgeResult(String judgeResult) {
		this.judgeResult = judgeResult;
	}

	/**
	 * 综合判定时间
	 * 
	 * @return value
	 */
	public String getJudgeResultTime() {
		return judgeResultTime;
	}

	/**
	 * 综合判定时间
	 * 
	 * @param judgeResultTime
	 *            value
	 */
	public void setJudgeResultTime(String judgeResultTime) {
		this.judgeResultTime = judgeResultTime;
	}

	/**
	 * 综合判定人
	 * 
	 * @return value
	 */
	public String getJudgeMaker() {
		return judgeMaker;
	}

	/**
	 * 综合判定人
	 * 
	 * @param judgeMaker
	 *            value
	 */
	public void setJudgeMaker(String judgeMaker) {
		this.judgeMaker = judgeMaker;
	}

	/**
	 * 是否已处理后工序炉计划
	 * 
	 * @return value
	 */
	public String getIfSetZyPlan() {
		return ifSetZyPlan;
	}

	/**
	 * 是否已处理后工序炉计划
	 * 
	 * @param ifSetZyPlan
	 *            value
	 */
	public void setIfSetZyPlan(String ifSetZyPlan) {
		this.ifSetZyPlan = ifSetZyPlan;
	}

	/**
	 * 交货行主键
	 * 
	 * @return value
	 */
	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	/**
	 * 交货行主键
	 * 
	 * @param ordLnDlyPk
	 *            value
	 */
	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	/**
	 * 送判状态 (0 正常送判，1退判)
	 * 
	 * @return value
	 */
	public String getApplyFlag() {
		return applyFlag;
	}

	/**
	 * 送判状态 (0 正常送判，1退判)
	 * 
	 * @param applyFlag
	 *            value
	 */
	public void setApplyFlag(String applyFlag) {
		this.applyFlag = applyFlag;
	}

	/**
	 * 退判原因
	 * 
	 * @return value
	 */
	public String getBackJugdeMemo() {
		return backJugdeMemo;
	}

	/**
	 * 退判原因
	 * 
	 * @param backJugdeMemo
	 *            value
	 */
	public void setBackJugdeMemo(String backJugdeMemo) {
		this.backJugdeMemo = backJugdeMemo;
	}

	/**
	 * 状态（00：初使状态；10：正在处理；20：已判定）
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 状态（00：初使状态；10：正在处理；20：已判定）
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 申判人
	 * 
	 * @return value
	 */
	public String getApplyName() {
		return applyName;
	}

	/**
	 * 申判人
	 * 
	 * @param applyName
	 *            value
	 */
	public void setApplyName(String applyName) {
		this.applyName = applyName;
	}

	/**
	 * 申判时间
	 * 
	 * @return value
	 */
	public String getApplyTime() {
		return applyTime;
	}

	/**
	 * 申判时间
	 * 
	 * @param applyTime
	 *            value
	 */
	public void setApplyTime(String applyTime) {
		this.applyTime = applyTime;
	}

	/**
	 * 申请判定备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 申请判定备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * 结转年月
	 * 
	 * @return value
	 */
	public String getBalYearMonth() {
		return balYearMonth;
	}

	/**
	 * 结转年月
	 * 
	 * @param balYearMonth
	 *            value
	 */
	public void setBalYearMonth(String balYearMonth) {
		this.balYearMonth = balYearMonth;
	}

	/**
	 * 是否有效(0 有效 1 无效)
	 * 
	 * @return value
	 */
	public String getIsFlag() {
		return isFlag;
	}

	/**
	 * 是否有效(0 有效 1 无效)
	 * 
	 * @param isFlag
	 *            value
	 */
	public void setIsFlag(String isFlag) {
		this.isFlag = isFlag;
	}

	/**
	 * 是否整炉废(0,正常 1整炉废 2白条)
	 * 
	 * @return value
	 */
	public String getIsAllScrap() {
		return isAllScrap;
	}

	/**
	 * 是否整炉废(0,正常 1整炉废 2白条)
	 * 
	 * @param isAllScrap
	 *            value
	 */
	public void setIsAllScrap(String isAllScrap) {
		this.isAllScrap = isAllScrap;
	}

	/**
	 * 铸造订单编号
	 * 
	 * @return value
	 */
	public String getProPlanId() {
		return proPlanId;
	}

	/**
	 * 铸造订单编号
	 * 
	 * @param proPlanId
	 *            value
	 */
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	/**
	 * 工序排产序号
	 * 
	 * @return value
	 */
	public String getGxPlanNo() {
		return gxPlanNo;
	}

	/**
	 * 工序排产序号
	 * 
	 * @param gxPlanNo
	 *            value
	 */
	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	/**
	 * 管坯需求编号
	 * 
	 * @return value
	 */
	public String getGpreqId() {
		return gpreqId;
	}

	/**
	 * 管坯需求编号
	 * 
	 * @param gpreqId
	 *            value
	 */
	public void setGpreqId(String gpreqId) {
		this.gpreqId = gpreqId;
	}

	/**
	 * 所属权单位代码(判定后)
	 * 
	 * @return value
	 */
	public String getBelongCodeJugde() {
		return belongCodeJugde;
	}

	/**
	 * 所属权单位代码(判定后)
	 * 
	 * @param belongCodeJugde
	 *            value
	 */
	public void setBelongCodeJugde(String belongCodeJugde) {
		this.belongCodeJugde = belongCodeJugde;
	}

	/**
	 * 所属权单位(判定后)
	 * 
	 * @return value
	 */
	public String getBelongNameJugde() {
		return belongNameJugde;
	}

	/**
	 * 所属权单位(判定后)
	 * 
	 * @param belongNameJugde
	 *            value
	 */
	public void setBelongNameJugde(String belongNameJugde) {
		this.belongNameJugde = belongNameJugde;
	}

	/**
	 * 虚拟炉号
	 * 
	 * @return value
	 */
	public String getFurnaceno() {
		return furnaceno;
	}

	/**
	 * 虚拟炉号
	 * 
	 * @param furnaceno
	 *            value
	 */
	public void setFurnaceno(String furnaceno) {
		this.furnaceno = furnaceno;
	}

	/**
	 * 顺序号(虚拟炉号)
	 * 
	 * @return value
	 */
	public String getSequenceno() {
		return sequenceno;
	}

	/**
	 * 顺序号(虚拟炉号)
	 * 
	 * @param sequenceno
	 *            value
	 */
	public void setSequenceno(String sequenceno) {
		this.sequenceno = sequenceno;
	}

	/**
	 * 工艺文件号
	 * 
	 * @return value
	 */
	public String getCraftNo() {
		return craftNo;
	}

	/**
	 * 工艺文件号
	 * 
	 * @param craftNo
	 *            value
	 */
	public void setCraftNo(String craftNo) {
		this.craftNo = craftNo;
	}

	/**
	 * 是否末工序（末工序时合同成品属性有效）
	 * 
	 * @return value
	 */
	public String getIsendgx() {
		return isendgx;
	}

	/**
	 * 是否末工序（末工序时合同成品属性有效）
	 * 
	 * @param isendgx
	 *            value
	 */
	public void setIsendgx(String isendgx) {
		this.isendgx = isendgx;
	}

	/**
	 * 管坯类型（1铸坯2锻坯）
	 * 
	 * @return value
	 */
	public String getGptype() {
		return gptype;
	}

	/**
	 * 管坯类型（1铸坯2锻坯）
	 * 
	 * @param gptype
	 *            value
	 */
	public void setGptype(String gptype) {
		this.gptype = gptype;
	}

	/**
	 * 订单编号(下一工序订单)
	 * 
	 * @return value
	 */
	public String getProPlanIdNext() {
		return proPlanIdNext;
	}

	/**
	 * 订单编号(下一工序订单)
	 * 
	 * @param proPlanIdNext
	 *            value
	 */
	public void setProPlanIdNext(String proPlanIdNext) {
		this.proPlanIdNext = proPlanIdNext;
	}

	/**
	 * 工序排产序号
	 * 
	 * @return value
	 */
	public String getGxPlanNoNext() {
		return gxPlanNoNext;
	}

	/**
	 * 工序排产序号
	 * 
	 * @param gxPlanNoNext
	 *            value
	 */
	public void setGxPlanNoNext(String gxPlanNoNext) {
		this.gxPlanNoNext = gxPlanNoNext;
	}

	/**
	 * 申请判定顺序号
	 * 
	 * @return value
	 */
	public String getJugdeApplySequeno() {
		return jugdeApplySequeno;
	}

	/**
	 * 申请判定顺序号
	 * 
	 * @param jugdeApplySequeno
	 *            value
	 */
	public void setJugdeApplySequeno(String jugdeApplySequeno) {
		this.jugdeApplySequeno = jugdeApplySequeno;
	}

	private String heatPlanNoNext = "";

	/**
	 * 下工序炉计划ID
	 */
	public String getHeatPlanNoNext() {
		return heatPlanNoNext;
	}

	/**
	 * 下工序炉计划ID
	 */
	public void setHeatPlanNoNext(String heatPlanNoNext) {
		this.heatPlanNoNext = heatPlanNoNext;
	}
}
